As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 482218 - [Port Bug 479899 to SeaMonkey Modern] s/#autoscroller/.autoscroller/g
: [Port Bug 479899 to SeaMonkey Modern] s/#autoscroller/.autoscroller/g
Status: RESOLVED FIXED
[good first bug]
: modern
Product: SeaMonkey
Classification: Client Software
Component: Themes (show other bugs)
: Trunk
: All All
: -- normal (vote)
: seamonkey2.1a2
Assigned To: Edmund Wong (:ewong)
:
:
Mentors:
Depends on: 479899
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-09 04:10 PDT by Philip Chee
Modified: 2010-05-29 02:36 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Changed #autoscroller to .autoscroller in global.css [Checkin: comment 8] (1.71 KB, patch)
2010-05-28 07:23 PDT, Edmund Wong (:ewong)
neil: review+
Details | Diff | Splinter Review

Description User image Philip Chee 2009-03-09 04:10:35 PDT
> There are a number of places in the toolkit theme where id selectors are
> used for some reason. These should be investigated and moved/removed.

> On all platforms, the #autoscroller should be a class.
Comment 1 User image neil@parkwaycc.co.uk 2009-03-09 04:29:18 PDT
Note: a) at least for our purposes, the id is being retained
b) there's no indication that the patch will land on branch.
Comment 2 User image Philip Chee 2009-03-09 04:37:11 PDT
I don't see where we use #autoscroller ?
<http://mxr.mozilla.org/comm-central/search?string=autoscroller>
Comment 3 User image Philip Chee 2009-03-09 04:42:57 PDT
Oh I missed /mozilla/toolkit/content/widgets/browser.xml.

So what happens when we have nightly trunk builds but haven't branched comm-central?
Comment 4 User image neil@parkwaycc.co.uk 2009-03-09 05:34:16 PDT
So, I misread the code, and even if we ported bug 386949 that would fix autoscrolling only in tabbrowser, not in other windows.

Presumably to support both sorts of builds we'd need both selectors.
Comment 5 User image Robert Kaiser 2009-03-09 06:22:25 PDT
(In reply to comment #3)
> So what happens when we have nightly trunk builds but haven't branched
> comm-central?

We have no plans to do that, so far. (Just as a note)
Comment 6 User image neil@parkwaycc.co.uk 2010-01-31 15:58:32 PST
We've branched, so this can be fixed properly now!
Comment 7 User image Edmund Wong (:ewong) 2010-05-28 07:23:30 PDT
Created attachment 448002 [details] [diff] [review]
Changed #autoscroller to .autoscroller in global.css [Checkin: comment 8]
Comment 8 User image Jens Hatlak (:InvisibleSmiley) 2010-05-28 17:52:55 PDT
Comment on attachment 448002 [details] [diff] [review]
Changed #autoscroller to .autoscroller in global.css [Checkin: comment 8]

http://hg.mozilla.org/comm-central/rev/07eaa92684b8

Note You need to log in before you can comment on or make changes to this bug.